Page MenuHomePhabricator

package udp-filter for Trusty, for use on fundraising banner_logger
Closed, ResolvedPublic

Event Timeline

Jgreen created this task.Aug 27 2015, 8:35 PM
Jgreen claimed this task.
Jgreen raised the priority of this task from to Needs Triage.
Jgreen updated the task description. (Show Details)
Jgreen added a subscriber: Jgreen.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptAug 27 2015, 8:35 PM
Jgreen added a parent task: Restricted Task.Aug 27 2015, 8:40 PM
Jgreen triaged this task as Medium priority.Aug 28 2015, 9:16 PM
Jgreen set Security to None.

Hm, Jeff, both udp-filter and libanon are installed from packages on stat1002, which is a Trusty box. I just tried it with both anonymization and geocoding What's the issue?

Jgreen added a comment.Sep 9 2015, 1:52 PM

Hm, Jeff, both udp-filter and libanon are installed from packages on stat1002, which is a Trusty box. I just tried it with both anonymization and geocoding What's the issue?

Yes, but they appear to be Precise packages and I didn't assume they'd be appropriate for Trusty:
jgreen@stat1002:~$ dpkg -l|egrep "libanon0|udp-filter"
ii libanon0 0.2.0-1precise amd64 IP address anonymization functions.
ii udp-filter 0.3.22~precise amd64 Parses webserver access log lines and filters.

Ah hm. Ok! Since they work fine there, maybe we can just reprepro copy them into Trusty?

Ah hm. Ok! Since they work fine there, maybe we can just reprepro copy them into Trusty?

I don't think we can do that--plus we need to run the source through a security review.

Package builds for Precise, but explodes in a ball of fire on Trusty in what appears to be an automake forward incompatibility:

Makefile.am:21: warning: source file 'src/multiplexor.c' is in a subdirectory,
Makefile.am:21: but option 'subdir-objects' is disabled
automake: warning: possible forward-incompatibility.

Trusty fetches automake 1.14 which is known to have a SNAFU in this regard. Not sure yet what the appropriate fix is...

Ok these hacks make it compile on with automake 1.14

  1. modify configure.ac:

-AM_INIT_AUTOMAKE
+AM_INIT_AUTOMAKE([subdir-objects foreign])

  1. create an empty file named 'compile' in the top level dir
Jgreen closed this task as Resolved.Sep 14 2015, 1:52 PM

compiles/builds fine now